# Package org.apache.mina.transport.serial

- Interface Summary
  Interface | Description
  --- | ---
  SerialSession | An `IoSession` for serial communication transport.
  SerialSessionConfig | An `IoSessionConfig` for serial transport type.

- Class Summary
  Class | Description
  --- | ---
  SerialAddress | An address for a serial port communication.
  SerialAddressEditor | A `PropertyEditor` which converts a `String` into a `SerialAddress` and vice versa.
  SerialConnector | `IoConnector` for serial communication transport.

- Enum Summary
  Enum | Description
  --- | ---
  SerialAddress.DataBits |
  SerialAddress.FlowControl |
  SerialAddress.Parity |
  SerialAddress.StopBits |

- Exception Summary
  Exception | Description
  --- | ---
  SerialPortUnavailableException | Exception thrown when the serial port can't be open because it doesn't exists.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.